Retrieve tag-scoped allocation rule details
1 min
GET
https://app.amberflo.io/business-unit/focus-allocation/automatic/rule/tag/{tagName}/{ruleId}
Path Parameters
- tagNamestringrequiredDescription
- ruleIdstring<uuid>requiredExampleDescription
Responses
200
- business_unit.focus_allocation.automatic.AutomaticMatchingRule.outDescription
- idstring<uuid>ExampleDescription
- providerfocus.common.FocusProvider.outrequiredDescription
- predicatebusiness_unit.focus_allocation.automatic.predicate.GroupKeyPredicate.outrequiredDescription
- business_unit.focus_allocation.automatic.predicate.ValueMatrixPredicate.out
- typestringrequiredDescriptionDefaultvalue_matrix
- columnsstring[]requiredDescription
- rowsbusiness_unit.focus_allocation.automatic.predicate.ValueMatrixPredicate.ValueMatrixRow.out[]requiredDescription
- valuesstring[]requiredDescription
- tagNamestringDescription
- tagValuestringDescription
- businessUnitIdstringDescription
- labelstringDescription
- descriptionstringDescription
- enabledbooleanDescription
- createTimeInMillisinteger<int64>Description
- updateTimeInMillisinteger<int64>Description
curl
curl --request GET \
--url https://app.amberflo.io/business-unit/focus-allocation/automatic/rule/tag/{tagName}/{ruleId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/business-unit/focus-allocation/automatic/rule/tag/{tagName}/{ruleId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/business-unit/focus-allocation/automatic/rule/tag/{tagName}/{ruleId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/business-unit/focus-allocation/automatic/rule/tag/{tagName}/{ruleId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"id": "0e63b938-6785-429b-a89d-c4164144fc88",
"provider": "",
"predicate": {},
"tagName": "",
"tagValue": "",
"businessUnitId": "",
"label": "",
"description": "",
"enabled": false,
"createTimeInMillis": "",
"updateTimeInMillis": ""
}